﻿@page
@model UrlModifyApp.Pages.URLInfo.EditModel

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>UrlinfoModel</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="UrlinfoModel.Id" />
            <div class="form-group">
                <label asp-for="UrlinfoModel.LongUrl" class="control-label"></label>
                <input asp-for="UrlinfoModel.LongUrl" class="form-control" />
                <span asp-validation-for="UrlinfoModel.LongUrl" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="./Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}